<?php
/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Extra Fee for Magento 2
 */
namespace Amasty\Extrafee\Block\Adminhtml\Fee;

use Magento\Backend\Block\Widget\Form\Container;

class Edit extends Container
{
    public const EXTRAFEE_VALIDATE_URL = 'amasty_extrafee/*/validate';

    /**
     * @return void
     */
    protected function _construct()
    {
        $this->_objectId = 'id';
        $this->_controller = 'adminhtml_fee';
        $this->_blockGroup = 'Amasty_Extrafee';

        parent::_construct();

        $this->buttonList->add(
            'saveandcontinue',
            [
                'label' => __('Save and Continue Edit'),
                'class' => 'save',
                'data_attribute' => [
                    'mage-init' => [
                        'button' => ['event' => 'saveAndContinueEdit', 'target' => '#edit_form'],
                    ],
                ]
            ],
            -100
        );
    }

    public function getValidationUrl(): string
    {
        return $this->getUrl(self::EXTRAFEE_VALIDATE_URL, ['_current' => true]);
    }
}
