<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Extra Fee for Magento 2
 */
namespace Amasty\Extrafee\Plugin\Sales\Model\ResourceModel\Order\Grid\Collection;

use Amasty\Extrafee\Model\ResourceModel\ExtrafeeOrder;
use Magento\Sales\Model\ResourceModel\Order\Grid\Collection;

class SalesOrderGridPlugin
{
    public function beforeLoad(Collection $subject): void
    {
        if (!$subject->isLoaded()) {
            $primaryKey = $subject->getResource()->getIdFieldName();
            $tableName = $subject->getResource()->getTable(ExtrafeeOrder::TABLE_NAME);

            $subject->getSelect()->joinLeft(
                $tableName,
                $tableName . '.order_id = main_table.' . $primaryKey,
                ['amasty_extra_fees' => 'SUM(' . $tableName . '.base_total_amount' . ')']
            )->group('main_table.' . $primaryKey);
        }
    }
}
