define([
    'braintreeCheckoutPayPalAdapter',
    'Magento_Checkout/js/model/quote'
], function (
    Braintree,
    quote
) {
    'use strict';

    var mixin = {
        /**
         * Prepare line item data to load paypal button
         */
        loadPayPalButton: function (paypalCheckoutInstance, funding) {
            var paypalPayment = Braintree.config.paypal;
            var extraFee = quote.totals().total_segments.find(function (elem) {
                return elem.code === "amasty_extrafee"
            })
            var extraFeeLineItem = paypalPayment.lineItems.find(function (elem) {
                return elem.name === "Amasty Extra Fee"
            })

            if (extraFee && !extraFeeLineItem) {
                var lineItem = {
                    kind: "debit",
                    name: "Amasty Extra Fee",
                    quantity: 1,
                    unitAmount: extraFee.value
                }

                paypalPayment.lineItems.push(lineItem);
            }

            this._super(paypalCheckoutInstance, funding);
        },
    };

    return function (target) {
        return target.extend(mixin);
    };
});
